/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.contabilidad.EntConta;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author obper
 */
@Entity
@Table(name = "pago_temporales_totales")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "PagoTemporalesTotales.findAll", query = "SELECT p FROM PagoTemporalesTotales p")
    , @NamedQuery(name = "PagoTemporalesTotales.findById", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.id = :id")
    , @NamedQuery(name = "PagoTemporalesTotales.findByEmpCod", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.empCod = :empCod")
    , @NamedQuery(name = "PagoTemporalesTotales.findByPagoTurno", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.pagoTurno = :pagoTurno")
    , @NamedQuery(name = "PagoTemporalesTotales.findByPagoDiurno", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.pagoDiurno = :pagoDiurno")
    , @NamedQuery(name = "PagoTemporalesTotales.findByPagoMinutos", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.pagoMinutos = :pagoMinutos")
    , @NamedQuery(name = "PagoTemporalesTotales.findByPagoNocturno", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.pagoNocturno = :pagoNocturno")
    , @NamedQuery(name = "PagoTemporalesTotales.findBySubTotal", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.subTotal = :subTotal")
    , @NamedQuery(name = "PagoTemporalesTotales.findByRenta", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.renta = :renta")
    , @NamedQuery(name = "PagoTemporalesTotales.findByTotalPago", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.totalPago = :totalPago")
    , @NamedQuery(name = "PagoTemporalesTotales.findByFecha", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.fecha = :fecha")
    , @NamedQuery(name = "PagoTemporalesTotales.findByAutorizado", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.autorizado = :autorizado")
    , @NamedQuery(name = "PagoTemporalesTotales.findByPagado", query = "SELECT p FROM PagoTemporalesTotales p WHERE p.pagado = :pagado")})
public class PagoTemporalesTotales implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "emp_cod")
    private String empCod;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Basic(optional = false)
    @NotNull
    @Column(name = "pago_turno")
    private BigDecimal pagoTurno;
    @Basic(optional = false)
    @NotNull
    @Column(name = "pago_diurno")
    private BigDecimal pagoDiurno;
    @Basic(optional = false)
    @NotNull
    @Column(name = "pago_minutos")
    private BigDecimal pagoMinutos;
    @Basic(optional = false)
    @NotNull
    @Column(name = "pago_nocturno")
    private BigDecimal pagoNocturno;
    @Basic(optional = false)
    @NotNull
    @Column(name = "sub_total")
    private BigDecimal subTotal;
    @Basic(optional = false)
    @NotNull
    @Column(name = "renta")
    private BigDecimal renta;
    @Basic(optional = false)
    @NotNull
    @Column(name = "total_pago")
    private BigDecimal totalPago;
    @Basic(optional = false)
    @NotNull
    @Column(name = "fecha")
    @Temporal(TemporalType.DATE)
    private Date fecha;
    @Column(name = "autorizado")
    private Boolean autorizado;
    @Column(name = "pagado")
    private Boolean pagado;

    public PagoTemporalesTotales() {
    }

    public PagoTemporalesTotales(Integer id) {
        this.id = id;
    }

    public PagoTemporalesTotales(Integer id, String empCod, BigDecimal pagoTurno, BigDecimal pagoDiurno, BigDecimal pagoMinutos, BigDecimal pagoNocturno, BigDecimal subTotal, BigDecimal renta, BigDecimal totalPago, Date fecha) {
        this.id = id;
        this.empCod = empCod;
        this.pagoTurno = pagoTurno;
        this.pagoDiurno = pagoDiurno;
        this.pagoMinutos = pagoMinutos;
        this.pagoNocturno = pagoNocturno;
        this.subTotal = subTotal;
        this.renta = renta;
        this.totalPago = totalPago;
        this.fecha = fecha;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getEmpCod() {
        return empCod;
    }

    public void setEmpCod(String empCod) {
        this.empCod = empCod;
    }

    public BigDecimal getPagoTurno() {
        return pagoTurno;
    }

    public void setPagoTurno(BigDecimal pagoTurno) {
        this.pagoTurno = pagoTurno;
    }

    public BigDecimal getPagoDiurno() {
        return pagoDiurno;
    }

    public void setPagoDiurno(BigDecimal pagoDiurno) {
        this.pagoDiurno = pagoDiurno;
    }

    public BigDecimal getPagoMinutos() {
        return pagoMinutos;
    }

    public void setPagoMinutos(BigDecimal pagoMinutos) {
        this.pagoMinutos = pagoMinutos;
    }

    public BigDecimal getPagoNocturno() {
        return pagoNocturno;
    }

    public void setPagoNocturno(BigDecimal pagoNocturno) {
        this.pagoNocturno = pagoNocturno;
    }

    public BigDecimal getSubTotal() {
        return subTotal;
    }

    public void setSubTotal(BigDecimal subTotal) {
        this.subTotal = subTotal;
    }

    public BigDecimal getRenta() {
        return renta;
    }

    public void setRenta(BigDecimal renta) {
        this.renta = renta;
    }

    public BigDecimal getTotalPago() {
        return totalPago;
    }

    public void setTotalPago(BigDecimal totalPago) {
        this.totalPago = totalPago;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public Boolean getAutorizado() {
        return autorizado;
    }

    public void setAutorizado(Boolean autorizado) {
        this.autorizado = autorizado;
    }

    public Boolean getPagado() {
        return pagado;
    }

    public void setPagado(Boolean pagado) {
        this.pagado = pagado;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof PagoTemporalesTotales)) {
            return false;
        }
        PagoTemporalesTotales other = (PagoTemporalesTotales) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.contabilidad.dbcom.PagoTemporalesTotales[ id=" + id + " ]";
    }
    
}
